import { jsx } from "react/jsx-runtime";
import { TokenVGX as TokenVGX$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenVGX = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "VGX", "data-name": "TokenVGX", ...props, children: /* @__PURE__ */ jsx(TokenVGX$1, { variant }) });
  }
);
TokenVGX.displayName = "TokenVGX";
Object.assign(TokenVGX, { isGdsIcon: true });
export {
  TokenVGX
};
